* {
    box-sizing: border-box;
    font-family: "Work Sans";
}

.work-sans {
    font-family: "Work Sans", sans-serif;
    font-optical-sizing: auto;
    font-weight: 200;
    font-style: normal;
}

body {
    background-image: url(./assets/images/background-pattern-desktop.svg);
    background-repeat: no-repeat;
    display: flex;
    background-color: hsl(275, 100%, 97%);
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: 100vh;
}

.container {
    background-color: hsl(0, 0%, 100%);
    border: none;
    border-radius: 10px;
    box-shadow: 0px 0px 20px #00000021;
    align-content: center;
    margin: 0 57vh;
    padding: 30px;
    padding-top: 5px;
}

h1 {
    color: hsl(292, 42%, 14%);
    font-size: 43px;
    margin: none;
    padding: none;
}

#icon-star {
    margin-right: 15px;
    height: 2rem;
}

p {
    font-weight: 700;
    display: flex;
    font-size: 16px;
    position: relative;
    color: hsl(292, 42%, 14%);
}

p:hover {
    cursor: pointer;
    color: hsla(278, 86%, 45%, 0.884);
}

section {
    color: hsl(292, 16%, 49%);
    height: 0px;
    overflow: hidden;
    transition: .5s;
}

.container .content-container.active section {
    height: 80px;
}

.container .content-container.active p {
    font-size: 18px;
    transition: .5s;
}

.s-icon {
    height: 1.5rem;
    position: absolute;
    right: -5px;
}

.s-icon:hover {
    cursor: pointer;
    transform: scale(1.3);
    transition: .5s;
}

hr {
    border-color: #cec5c51e;
}

.attribution {
    font-size: 11px;
    text-align: center;
}

.attribution a {
    color: hsl(228, 45%, 44%);
    text-decoration: none;
}

@media screen and (max-width: 1440px) {
    body {
        background-size: contain;
        height: 70vh;
        padding: 40px;
    }

    .container {
        margin: 330px;
        padding: 40px;
        padding-top: 15px;
        max-width: 800px;
        margin-bottom: 0;
    }

    .attribution {
        margin: 0px 0;
    }
}

@media screen and (max-width: 768px) {
    body {
        background-size: contain;
        height: auto;
        padding: 20px;
    }

    .container {
        margin: 20px;
        padding: 20px;
    }

    .attribution {
        margin: 20px 0;
    }
}

@media screen and (max-width: 480px) {
    body {
        background-size: contain;
        height: auto;
        padding: 10px;
    }

    .container {
        margin: 10px;
        padding: 15px;
    }

    .attribution {
        margin: 10px 0;
    }
}

@media screen and (max-width: 320px) {
    body {
        height: 75vh;
        padding: 5px;
        background-size: auto;
    }

    .container {
        margin: 5px;
        margin-top: 250px;
        padding: 10px;
    }
}